package dhm 
{
	/**
	 * ...
	 * @author DHM
	 */
	public final class Settings 
	{
		public static const PLAYER_THROW_SPEED:Number = 12;
		public static const PLAYER_MOVE_SPEED:Number = 4;
		public static const PLAYER_INITIAL_HEALTH:int = 8;
		public static const PLAYER_LEVEL_UP_BONUS_HIT_POINTS:int = 2;
		public static const MAXIMUM_CONTESTANT_HEALTH:int = 16;
		public static const MULTIPLE_KILL_BONUS_FACTOR:int = 2;
		public static const MAXIMUM_ENEMY_INTELLIGENCE:int = 100;
		public static const MAXIMUM_PICKUPS_PER_LEVEL:int = 8;
		public static const MINIMUM_PICKUPS_PER_LEVEL:int = 2;
		public static const ENEMY_DODGE_RADIUS:Number = 150;
		public static const MAXIMUM_ENEMY_DODGE_FRAMES:int = 2 * Main.FRAME_RATE; // 2 seconds
		public static const MAXIMUM_ENEMY_WEAPON_INTERCEPT_FRAMES:int = 8 * Main.FRAME_RATE; // 8 seconds
		public static const BLOCKED_DISK_SPEED_FACTOR:Number = 0.33; // 1/3 speed
		public static const BLOCKED_STUNPOLE_DISARM_TIMEOUT:int = Main.FRAME_RATE * 10; // 10 seconds
		public static const MINIMUM_FRAMES_BEFORE_ADD_PICKUPS:int = 20 * Main.FRAME_RATE; // 20 seconds
		public static const MINIMUM_FRAMES_BEFORE_ADD_ENEMIES:int = 30 * Main.FRAME_RATE; // 30 seconds
		public static const MINIMUM_ENEMIES_PER_LEVEL:int = 2;
		public static const ENEMY_INTELLIGENCE_KILL_POINT_RATIO:Number = 1.0;
		public static const LEVEL_CLEAR_BONUS_POINT_RATIO:Number = 10; // times the level number
		public static const LEVEL_CLEAR_HEALTH_POINT_RATIO:Number = 5; // time remaining health	
		public static const CHARGE_SPEED_FACTOR:Number = 1.2;
	}
}