package dhm 
{
	import com.efg.framework.SoundManager;
	/**
	 * ...
	 * @author DHM
	 */
	public final class SoundLibrary 
	{
		[Embed(source='assets/hitplayer.mp3')]
		public static const HitPlayer:Class;
		
		[Embed(source='assets/hitenemy.mp3')]
		public static const HitEnemy:Class;
		
		[Embed(source='assets/block.mp3')]
		public static const Block:Class;
		
		[Embed(source='assets/throw.mp3')]
		public static const Throw:Class;
		
		[Embed(source='assets/catch.mp3')]
		public static const Catch:Class;
		
		[Embed(source='assets/pickup.mp3')]
		public static const Pickup:Class;
		
		public static const SOUND_HIT_PLAYER:String = "hitplayer";
		public static const SOUND_HIT_ENEMY:String = "hitenemy";
		public static const SOUND_THROW:String = "throw";
		public static const SOUND_CATCH:String = "catch";
		public static const SOUND_BLOCK:String = "block";
		public static const SOUND_PICKUP:String = "pickup";
		
		public static function registerSounds(soundManager:SoundManager):void
		{
			soundManager.addSound(SOUND_HIT_PLAYER, new HitPlayer);
			soundManager.addSound(SOUND_HIT_ENEMY, new HitEnemy);
			soundManager.addSound(SOUND_THROW, new Throw);
			soundManager.addSound(SOUND_CATCH, new Catch);
			soundManager.addSound(SOUND_BLOCK, new Block);
			soundManager.addSound(SOUND_PICKUP, new Pickup);
		}
	}
}